LibreOffice: com/sun/star/uno/Any.h File Reference

LibreOffice LibreOffice 7.4 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Any.h File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "rtl/ustring.hxx"`
`#include "uno/any2.h"`
`#include "typelib/typedescription.h"`
`#include "cppu/unotype.hxx"`
`#include "com/sun/star/uno/TypeClass.hdl"`
`#include "rtl/alloc.h"`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::Any
| C++ class representing an IDL any. More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno

## Functions
template<class C >
Any | com::sun::star::uno::makeAny (const C &value)
| Template function to generically construct an any from a C++ value.
template<>
Any | com::sun::star::uno::makeAny (sal_uInt16 const &value)
template<>
Any | com::sun::star::uno::makeAny (Any const &) SAL_DELETED_FUNCTION
template<typename T >
Any | com::sun::star::uno::toAny (T const &value)
| Wrap a value in an Any, if necessary.
template<>
Any | com::sun::star::uno::toAny (Any const &value)
template<class C >
void | com::sun::star::uno::operator<<= (Any &rAny, const C &value)
| Template binary <<= operator to set the value of an any.
template<>
void | com::sun::star::uno::operator<<= (Any &rAny, bool const &value)
template<class C >
bool | com::sun::star::uno::operator>>= (const Any &rAny, C &value)
| Template binary >>= operator to assign a value from an any.
template<class C >
bool | com::sun::star::uno::operator== (const Any &rAny, const C &value)
| Template equality operator: compares set value of left side any to right side value.
template<class C >
bool | com::sun::star::uno::operator!= (const Any &rAny, const C &value)
| Template inequality operator: compares set value of left side any to right side value.
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Bool &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const sal_Bool &value)
template<>
bool | com::sun::star::uno::operator>>= (Any const &rAny, bool &value)
template<>
bool | com::sun::star::uno::operator== (Any const &rAny, bool const &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int8 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int16 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt16 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int32 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt32 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_Int64 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, sal_uInt64 &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, float &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, double &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, ::rtl::OUString &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const ::rtl::OUString &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, Type &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const Type &value)
template<>
bool | com::sun::star::uno::operator>>= (const Any &rAny, Any &value)
template<>
bool | com::sun::star::uno::operator== (const Any &rAny, const BaseReference &value)
const ::com::sun::star::uno::Type & | getCppuType (SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Any *)
| Gets the meta type of IDL type any.

## Function Documentation

## ◆ getCppuType()

const ::com::sun::star::uno::Type & getCppuType | ( | SAL_UNUSED_PARAMETER const ::com::sun::star::uno::Any * |  | ) |
| inline

Gets the meta type of IDL type any.

There are cases (involving templates) where uses of getCppuType are known to not compile. Use cppu::UnoType or cppu::getTypeFavourUnsigned instead.

The dummy parameter is just a typed pointer for function signature.

Returns
  type of IDL type any

Deprecated:
  Use cppu::UnoType instead.